#include <bits/stdc++.h>
using namespace std;
ifstream f1("FINDNUM.INP");
    ofstream f2("FINDNUM.OUT");

int main()
{  int n,x,i,j,dem=0;;
     f1>>n>>x;
for (i=1;i*i<=x;i++)
{  if (x%i==0)
   { j=x/i;
     if (j<=n){if(j!=i) dem=dem+2; else dem++;}

   }

}
f2<<dem;
    return 0;
}
